Bug 233599 - mail/courier-imap: Incompatible courierpop3dsizelist upgrading 4.x to 5.0.0
Summary: mail/courier-imap: Incompatible courierpop3dsizelist upgrading 4.x to 5.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-28 04:20 UTC by hsakamt
Modified: 2018-11-29 09:42 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hsakamt 2018-11-28 04:20:17 UTC
Hi,

After updating mail/courier-imap package to 5.0.0, there was a problem that users using POP3 received a mail twice, or timeout when a lot of mails were stored on the server.

This bug has occurred in version 5.0.0 and seems to be fixed in 5.0.3.

https://fossies.org/linux/courier-imap/libs/imap/ChangeLog

5.0.3

2018-11-16  Sam Varshavchik  <mrsam@courier-mta.com>
 
 	* pop3dserver.c (readpop3dlist): Be able to update
 	courierpop3dsizelist from version 2 to 3 in place.
 	(do_retr): Instead of returning an ERR to a non-Unicode client,
 	handle Unicode messages by wrapping them as an attachment.

 :

5.0.0

2018-07-21  Sam Varshavchik  <mrsam@courier-mta.com>
 
	* pop3dserver.c: update Courier-IMAP to support UTF8 POP3. Update
	version of the courierpop3dsizelist cache file.

After installing 5.0.3 compiled manually the problem was fixed.
So I think that it is better to update mail/courier-imap to >= 5.0.3 or put comments in /usr/ports/UPDATING.

Best regards,
Comment 1 Guido Falsi freebsd_committer 2018-11-28 07:55:33 UTC
Thanks for pointing out the new fixed version.

I'll start working on the update.
Comment 2 commit-hook freebsd_committer 2018-11-29 09:42:19 UTC
A commit references this bug:

Author: madpilot
Date: Thu Nov 29 09:42:16 UTC 2018
New revision: 486158
URL: https://svnweb.freebsd.org/changeset/ports/486158

Log:
  Upgrade courier-imap to 5.0.4

  Fixes some pop3 and unicode issues.

  PR:		233599
  Submitted by:	hsakamt@tsnr.com

Changes:
  head/mail/courier-imap/Makefile
  head/mail/courier-imap/distinfo
Comment 3 Guido Falsi freebsd_committer 2018-11-29 09:42:47 UTC
Update committed.

Thanks!